<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once('include/common.php');
if(!isset($_GET['id']) || !isNum($_GET['id'])) {
	ff_redirect('index.php');
}

if($awec_settings['show_birthday_to_group']==-1
	|| !checkgroup($awec_settings['show_birthday_to_group']))
{
	ff_redirect('index.php');
}



$days_left_in_this_year = (date('L')==1 ? 365 : 364) - date('z');


$res = dbquery("SELECT user_name, user_id,
	user_birthdate AS event_date,
	(YEAR(CURDATE())-YEAR(user_birthdate)) AS years_old,
	YEAR(user_birthdate) AS year,
	DATE_FORMAT(user_birthdate, '".$awec_settings['date_fmt']."') AS date,
	IF(DAYOFYEAR(user_birthdate) >= DAYOFYEAR(NOW()),
		DAYOFYEAR(user_birthdate) - DAYOFYEAR(NOW()),
		DAYOFYEAR(user_birthdate) - DAYOFYEAR(NOW()) +
		DAYOFYEAR(CONCAT(YEAR(NOW()),'-12-31')))
		AS distance
	FROM ".DB_USERS."
	WHERE user_id='".$_GET['id']."'");
if(dbrows($res)==0) {
	ff_redirect('index.php');
}
$event = dbarray($res);


if($event['distance'] > $days_left_in_this_year) {
	++$event['years_old'];
}
$event['ev_title'] = sprintf($locale['awec_user_birthday']['title'],
	$event['user_name'], $event['years_old']);


/*
 * GUI
 */
opentable($locale['EC300']);
awec_menu();
ec_render_birthday($event);
closetable();


require_once('include/die.php');
?>
