<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2009 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
if(!defined('IN_FUSION')) {
	die;
}



$can_admin = (iAWEC_ADMIN
        || (iMEMBER && $event['user_id']==$userdata['user_id']));
$cur_logins = ff_db_count("(*)", AWEC_DB_LOGINS,
	"(event_id='".$event['event_id']."' AND login_status='1')");
$max_logins = intval($event['ev_max_logins']);

$can_final_login = ($max_logins==0 || $cur_logins<$max_logins);

// check login deadlines
if($can_final_login) {
	if($event['ev_login_start'] && $event['ev_login_start']>time()) {
		$can_final_login = false;
	} elseif($event['ev_login_end'] && $event['ev_login_end']<time()) {
		$can_final_login = false;
	}
}

// get my login data
$my_login = array(
	'login_status'	=> 0,
	'login_comment'	=> '',
);
if($max_logins && iMEMBER) {
	$res = dbquery("SELECT *
		FROM ".AWEC_DB_LOGINS." AS kl
		WHERE event_id=".$event['event_id']."
			AND user_id=".$userdata['user_id']);
	if(dbrows($res)) {
		$my_login = dbarray($res);
	}
}


/****************************************************************************
 * FUNCS
 */
function send_pm($to_id, $subject, $body, $smilies)
{
	global $locale, $userdata, $settings, $event;

	if(iMEMBER) {
		$from_id = $userdata['user_id'];
	} else {
		$from_id = 0;
	}
	if(!$to_id || $from_id==$to_id) {
		return true;
	}

	// get user
	$res = dbquery("SELECT user_name, user_email
		FROM ".DB_USERS."
		WHERE user_id='".$to_id."'");
	if(!dbrows($res)) {
		return false;
	}
	$user = dbarray($res);


	$pm_body = $body .'

[url]'.$settings['siteurl'].'infusions/aw_ecal_panel/view_event.php?id='.$event['event_id'].'[/url]';

	// send pm
	$ok = dbquery("INSERT INTO ".DB_MESSAGES."
		SET
		message_to='".$to_id."',
		message_from='".$from_id."',
		message_subject='".stripinput($subject)."',
		message_message='".stripinput($pm_body)."',
		message_read='0',
		message_datestamp='".time()."'");

	// FIXME: inform about NEW PM!


	// send mail
	require_once(INCLUDES.'sendmail_include.php');
	$type = 'plain';

//	$mail_body = $subject;
	$mail_body = $userdata['user_name'].",\n\n";
	$mail_body .= $body."\n";
	$mail_body .= "\"".$event['ev_title']."\"\n\n";
	$mail_body .= $locale['EC102'].':
'.$settings['siteurl'].'infusions/aw_ecal_panel/view_event.php?id='.$event['event_id'];
	$mail_body .= "\n\n".$settings['siteusername'];

	$ok = sendemail($user['user_name'], $user['user_email'],
		$settings['siteusername'],
		$settings['siteemail'],
		$subject, $mail_body, $type);
	return true;
}



/****************************************************************************
 * ACTION
 */
if(isset($_POST['status']) && $can_login) {
	if(isset($_POST['new_status'])) {
		$status = stripinput($_POST['new_status']);
	} else {
		$status = $my_login['login_status'];
	}

	if($status>=1 && $status<=3) {
		$comm = stripinput($_POST['comment']);

		// keep my current status if in DB. set to temporary else.
		if($event['ev_max_logins']) {
			if($status==AWEC_LOGIN_FINAL
				&& $cur_logins>=$max_logins)
			{
				if($my_login['login_status']==AWEC_LOGIN_NONE) {
					$status = AWEC_LOGIN_TEMP;
				} else {
					$status = $my_login['login_status'];
				}
			}
		}

		// create db entry
		if($my_login['login_status']==AWEC_LOGIN_NONE) {
			dbquery("INSERT INTO ".AWEC_DB_LOGINS."
				SET
				event_id='".$event['event_id']."',
				user_id='".$userdata['user_id']."',
				login_timestamp='".time()."'");
		}

		$ok = dbquery("UPDATE ".AWEC_DB_LOGINS."
			SET
			login_status='".$status."',
			login_comment='".$comm."'
			WHERE user_id=".$userdata['user_id']."
				AND event_id=".$event['event_id']);
/* FIXME: WHATS THIS FOR?
	}
	elseif($status==4) {
		$ok = dbquery("DELETE FROM ".AWEC_DB_LOGINS."
			WHERE event_id='".$event['event_id']."'
				AND user_id='".$userdata['user_id']."'");
*/
	} else {
		ff_redirect(FUSION_SELF.'?id='.$event['event_id'].'&errno=2');
	}
	ff_redirect(FUSION_SELF.'?id='.$event['event_id'].($ok ? '' : '&errno=3'));


} elseif(isset($_GET['action']) && $_GET['action']=='delete'
	&& isset($_GET['user_id']) && isNum($_GET['user_id']) && $can_admin) {
	dbquery("DELETE FROM ".AWEC_DB_LOGINS."
		WHERE event_id='".$event['event_id']."'
			AND user_id='".$_GET['user_id']."'");
	ff_redirect(FUSION_SELF.'?id='.$event['event_id']);


} elseif(isset($_POST['invite']) && $can_admin) {
	if($_POST['send_pm']) {
		$title = $locale['awec_invite_title'];
		$body = $locale['awec_invite_body'];
	}

	$comment = sprintf($locale['awec_invited_by'], $userdata['user_name']);
	foreach($_POST['users'] as $user) {
		$user = intval($user);
		if(!$user) {
			continue;
		}
		dbquery("INSERT INTO ".AWEC_DB_LOGINS."
			SET
			login_status='4',
			login_timestamp='".time()."',
			login_comment='".sprintf($comment)."',
			user_id='".$user."',
			event_id='".$event['event_id']."'");

		if($_POST['send_pm']) {
			send_pm($user, $title, $body, true);
		}
	}
	ff_redirect(FUSION_SELF.'?id='.$event['event_id']);
}



/****************************************************************************
 * GUI: logins
 */
//opentable($locale['awec_logins']);
if(isset($_GET['sent'])) {
	show_info($locale['EC320']);
}



if($can_admin) {
	$tabs = array(
		'awec_regs'	=> $locale['awec_logins'],
		'awec_invite'	=> $locale['EC322'],
		'awec_email'	=> $locale['EC313'],
	);
} else {
	$tabs = array(
		'awec_regs'	=> $locale['awec_logins'],
	);
}
awec_tabs($tabs);


awec_open_tab('awec_regs', $locale['awec_logins']);



// others login
$res = dbquery("SELECT kl.*, fu.user_name
	FROM ".AWEC_DB_LOGINS." AS kl
	LEFT JOIN ".DB_USERS." AS fu ON kl.user_id=fu.user_id
	WHERE event_id='".$event['event_id']."'
	ORDER BY kl.login_status ASC, user_name ASC");
// count different logins
$count_types = array();
foreach($locale['EC309'] as $sid => $stext) {
	$count_types[$sid] = 0;
}
$the_whole_table = "";
$new_status = "";
$count = 1;
$users_in_list = array();
while($user = dbarray($res)) {
	$count_types[$user['login_status']]++;
	$users_in_list[] = $user['user_id'];

	if($user['login_status'] != $new_status) {
		$new_status = $user['login_status'];
		$the_whole_table .=  '
<tr>
	<th colspan="4">'.$locale['EC309'][$user['login_status']].'</th>
</tr>';
		$count = 1;
	}

	$the_whole_table .= '
<tr class="tbl'.(++$count%2 + 1).'">
	<td><a href="'.BASEDIR.'profile.php?lookup='.$user['user_id'].'">'
		.$user['user_name'].'</a></td>
	<td>'.$user['login_comment'].'</td>
	<td>'.showdate('shortdate', $user['login_timestamp']).'</td>
	<td>';
	if($can_admin) {
		$the_whole_table .= '
		<a href="'.FUSION_SELF.'?id='.$event['event_id']
			.'&action=delete&user_id='.$user['user_id'].'"'
				.' onclick="return ec_confirm_delete();">'
				.$locale['EC305'].'</a>';
	}
	$the_whole_table .= '
	</td>
</tr>';
}

// status
$stats = array();
foreach($locale['EC309'] as $sid => $stext) {
	if($sid) {
		$stats[$stext] = $count_types[$sid];
	}
}



echo '
<table border="0" width="100%" cellspacing="0" cellpadding="0">
<colgroup>
	<col width="200" />
	<col width="10" />
	<col width="*" />
</colgroup>
<tbody>
<tr>
	<td valign="top">';


// display login summary!
echo '
<table class="tbl-border" cellspacing="1" border="0" width="100%">
<tbody>
<tr>
	<th style="text-align:right;" colspan="2">'.$locale['awec_logins'].':</th>
	<th>
		'.$cur_logins.($event['ev_max_logins']
			? '/'.$event['ev_max_logins']
			: '').'
	</th>
</tr>';
foreach($stats as $label => $value) {
	echo '
<tr>
	<td class="tbl2" colspan="2" style="text-align:right;">'.$label.':</td>
	<td class="tbl1">'.$value.'</td>
</tr>';
}
// show deadlines
if($event['ev_login_start'] || $event['ev_login_end']) {
	echo '
<tr>
	<th colspan="3">'.$locale['awec_login'].'</th>
</tr>';
	if($event['ev_login_start']) {
		echo '
<tr>
	<td class="tbl2">
		<strong>'.$locale['awec_beginn'].':</strong>
	</td>
	<td class="tbl1">
		'.showdate('longdate', $event['ev_login_start']).'
	</td>
	<td class="tbl2">
		'.($event['ev_login_start'] < time()
			? '<img src="icons/yes.png" alt="'.$locale['awec_yes'].'s" />'
			: '<img src="icons/locked.gif" alt="'.$locale['awec_no'].'" />'
		).'
	</td>
</tr>';
	}
	if($event['ev_login_end']) {
		echo '
<tr>
	<td class="tbl2">
		<strong>'.$locale['awec_end'].':</strong>
	</td>
	<td class="tbl1">
		'.showdate('longdate', $event['ev_login_end']).'
	</td>
	<td class="tbl2">
		'.($event['ev_login_end'] > time()
			? '<img src="icons/yes.png" alt="'.$locale['awec_yes'].'" />'
			: '<img src="icons/locked.gif" alt="'.$locale['awec_no'].'" />'
		).'
	</td>
</tr>';
	}
}
echo '
</tbody>
</table>';



echo '
	</td>
	<td>&nbsp;</td>
	<td valign="top">';


// my login
if(iMEMBER) {
	echo '
<div style="text-align:center">
<p>
	<strong>'.$locale['EC311'].':</strong> '
		.$locale['EC309'][$my_login['login_status']].'
</p>
</div>';
	$radio_status = '';
	foreach($locale['EC310'] as $sid => $stext) {
		$radio_status .= '
<label><input type="radio" value="'.$sid.'" name="new_status"'
		.($sid==$my_login['login_status']
			? ' checked="checked"'
			: ''
		).($sid==AWEC_LOGIN_FINAL && !$can_final_login
			? ' disabled="disabled"'
			: ''
		).' /> '.$stext.'</label>';
	}

	if($can_login && !$can_final_login) {
		if($cur_logins >= $max_logins) {
			$login_info = $locale['EC115'][1];
		} else {
			$login_info = $locale['awec_nologin_deadline'];
		}
		$login_info = '<p><strong>'.$login_info.'</strong></p>';
	} else {
		$login_info = '';
	}

	echo '
<hr />

<form method="post" action="'.FUSION_SELF.'?id='.$event['event_id'].'">
<div style="text-align: center;">
<label>'.$locale['EC312'].':</label>
<input type="text" size="30" class="textbox" name="comment"
	value="'.$my_login['login_comment'].'" maxlength="50">

<input type="submit" class="button" name="status" value="'.$locale['EC111'].'" />

<p>
	'.$radio_status.'
</p>

'.$login_info.'

</div>
</form>';
} else {
	echo '&nbsp;';
}


echo '
	</td>
</tr>
</tbody>
</table>';





echo '
<table border="0" cellspacing="1" width="100%" class="tbl-border">
<colgroup>
	<col width="20%" />
	<col width="30%" />
	<col width="10%" />
	<col width="10%" />
</colgroup>
<tbody>'
	.$the_whole_table
	.'
</table>';
//closetable();
awec_close_tab();


if(!$can_admin) {
	awec_tabs_close();
	return;
}



/****************************************************************************
 * INVITE
 */
awec_open_tab('awec_invite', $locale['EC322']);


$grp = $event['ev_login_access'];
// member access
if($grp==101) {
	if(isset($_GET['gid']) && isNum($_GET['gid'])) {
		$grp = $_GET['gid'];
	}

	$groups = getusergroups();

	echo '
<form method="get" action="'.FUSION_SELF.'#awec_invite">
<p style="text-align:center;">
<input type="hidden" name="id" value="'.$event['event_id'].'" />
<select class="textbox" name="gid">';
	foreach($groups as $group) {
		list($gid, $gname) = $group;
		if(!$gid) {
			continue;
		}
		echo '
	<option value="'.$gid.'"'
		.($gid==$grp
			? ' selected="selected"'
			: ''
		).'>'.$gname.'</option>';
	}
	echo '
</select>
<input type="submit" class="button" value="'.$locale['awec_go'].'" />
</p>
</form>';
}

$query = "SELECT user_id, user_name
	FROM ".DB_USERS."
	WHERE user_status=0";
// aha, group
if($grp) {
	if($grp < 101) {
		$query .= " AND user_groups REGEXP('^\\\.{$grp}$|\\\.{$grp}\\\.|\\\.{$grp}$')";
	// user, level
	} else {
		$query .= " AND user_level>='$grp'";
	}
}
$query .= " ORDER BY user_name ASC";

$sel_users_count = 0;
$sel_users = '';
$res = dbquery($query);
while($data = dbarray($res)) {
	if(!in_array($data['user_id'], $users_in_list)) {
		++$sel_users_count;
		$sel_users .= '
	<option value="'.$data['user_id'].'">'.$data['user_name'].'</option>';
	}
}
if($sel_users_count==0) {
	$sel_users = '
<p>
	'.$locale['awec_invite_empty'].'
</p>';
} else {
	$sel_users = '
<select class="textbox" name="users[]" size="10" multiple="multiple">'
.$sel_users.'
</select>
<br />';
}

echo '
<form method="post" action="'.FUSION_SELF.'?id='.$event['event_id'].'">
<div style="text-align: center;">
<span class="small2">'.$locale['EC323'].'</span><br />
'.$sel_users.'
<span class="small2">'.$locale['awec_invite_members'].'</span>';

if($sel_users_count) {
	echo '
<p>
<label><input type="checkbox" name="send_pm" id="sp0"'
	.($awec_settings['invite_pm']
		? ' checked="checked"'
		: ''
	).' /> '.$locale['EC324'].'</label>
</p>

<input type="submit" class="button" name="invite" value="'.$locale['EC322'].'" />';
}
echo '
</div>
</form>';
//closetable();
awec_close_tab();



/****************************************************************************
 * GUI: mail
 */
awec_open_tab('awec_email', $locale['EC313']);


$email = array(
	'body'		=> '',
	'who'		=> array(),
	'one_to_all'	=> true,
	'html'		=> true,
);

if(isset($_POST['mail'])) {
	$errors = array();

	$who = array();
	if(isset($_POST['who_all'])) {
		$who = array_slice(array_keys($locale['EC309']), 1);
	} elseif(isset($_POST['who'])) {
		foreach($_POST['who'] as $val) {
			$who[] = intval($val);
		}
	}
	if(count($who)==0) {
		$errors[] = $locale['EC115'][4];
	}

	if(count($errors)==0) {
		$res = dbquery("SELECT user_name, user_email
			FROM ".AWEC_DB_LOGINS."
			LEFT JOIN ".DB_USERS." USING(user_id)
			WHERE event_id='".$event['event_id']."'
				AND login_status IN (".implode(',', $who).")");
		if(!dbrows($res)) {
			$errors[] = $locale['EC115'][4];
		}
	}

	$email['body']		= stripinput($_POST['body']);
	$email['who']		= $who;
	$email['one_to_all']	= (isset($_POST['one_to_all'])
					? $_POST['one_to_all']
					: false);
	$email['html']		= isset($_POST['html']);

	if(count($errors)) {
		show_info($errors);
	} else {
		require_once(INCLUDES.'sendmail_include.php');

		$body = stripinput($_POST['body']).'


<h1>'.$event['ev_title'].'</h1>

<h1>'.$locale['awec_description'].'</h1>
<i>'.$event['date'].'</i>';

		if($event['start_time']) {
			$body .= "\n<i>".$event['start_time'];
			if($event['end_time']) {
				$body .= ' - '.$event['end_time'];
			}
			$time .= "</i>\n";
		}

		$url = $settings['siteurl'].'infusions/aw_ecal_panel/view_event.php?id='.$event['event_id'];
		$body .= "\n".str_replace(AWEC_BREAK, '', $event['ev_body']).'

'.$locale['awec_link'].': <a href="'.$url.'">'.$url.'</a>';

		$body = parseubb($body);

		if(isset($_POST['html'])) {
			$type = 'html';
			$body = nl2br($body);
		} else {
			$type = 'plain';
			$body = strip_tags($body);
		}

		$one_to_all = (isset($_POST['one_to_all'])
			? $_POST['one_to_all']
			: false);

		$mail_addr = array();
		while($data = dbarray($res)) {
			if(!$one_to_all) {
				sendemail($data['user_name'], $data['user_email'],
					$settings['siteusername'],
					$settings['siteemail'],
					$event['ev_title'], $body, $type);
			} else {
				$mail_addr[$data['user_name']] = $data['user_email'];
			}
		}

		if($one_to_all) {
			sendemail($locale['awec_all'], implode(',', $mail_addr),//FIXME
				$settings['siteusername'], $settings['siteemail'],
				$event['ev_title'], $body, $type);
		}

		ff_redirect(FUSION_SELF.'?id='.$event['event_id'].'&sent=1#awec_email');
	}
}

/* GUI */
if(defined('IN_FF')) {
?>
<script type="text/javascript">
FF.behaviors.awec_who_all = function(content){
//	$("#who_all").click
//	$("#who_all").click(function() {
//		$("#who_1")[0].disabled = this.checked;
//		$("#who_2")[0].checked = this.checked;
//		$("#who_3")[0].checked = this.checked;
//		$("#who_4")[0].checked = this.checked;
//		alert(this.checked+" - "+$("#who_1")[0].checked);
//	});

	if($("#who_all")[0].checked) {
		$("#who_options").hide();
	}

	$("#who_all").click(function() {
		if(this.checked) {
			$("#who_options").fadeOut('slow');
		} else {
			$("#who_options").show('fast');
		}
	});
};
</script>
<?php
}
$who = '<label><input type="checkbox" name="who_all" id="who_all"'
	.(count($email['who'])==(count($locale['EC309'])-1)
		? (' checked="checked"')
		: ''
	).' /> '
	.$locale['awec_all'].'</label>
<span id="who_options">';

if(count($email['who'])==(count($locale['EC309'])-1)) {
	$email['who'] = array();
}
foreach($locale['EC309'] as $sid => $stext) {
	if($sid) {
		$who .= '
<label><input type="checkbox" name="who[]" value="'.$sid.'"'
	.(in_array($sid, $email['who'])
		? ' checked="checked"'
		: ''
	).' /> '.$stext.'</label>';
	}
}
$who .= '
</span>';


echo '
<form method="post" action="'.FUSION_SELF.'?id='.$event['event_id'].'#awec_email" name="inputform">
<p>
'.$who.'
</p>

<div style="text-align:center;">
'.awec_get_bb_smileys('body', $email['body'], '', true).'

<p>
<label><input type="radio" name="one_to_all" value="0"'
	.(!$email['one_to_all']
		? ' checked="checked"'
		: ''
	).'/> '.$locale['EC314'].'</label>
<label><input type="radio" name="one_to_all" value="1"'
	.($email['one_to_all']
		? ' checked="checked"'
		: ''
	).' /> '.$locale['EC315'].'</label>
</p>

<p>
	<label><input type="checkbox" name="html"'
		.($email['html']
			? ' checked="checked"'
			: ''
		).' /> '.$locale['EC321'].'</label>
</p>

<p>
	<input type="submit" class="button" name="mail" value="'.$locale['EC316'].'">
</p>
</div>
</form>';

awec_close_tab();

awec_tabs_close();

//closetable();


?>
