<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   Italian translation by Lorenzo <lorenzo@sat123.it>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
$locale['EC000'] = "awEventCal";
$locale['EC001'] = "Eventi";
$locale['EC002'] = "Segnalazioni";
$locale['EC003'] = "Avvisi";
$locale['EC004'] = "Nulla";
$locale['EC005'] = "A proposito di...";
$locale['EC006'] = "Vuoi davvero cancellare ?";
$locale['EC007'] = "I Miei";
$locale['awec_logins'] = "Registrazioni";
$locale['EC009'] = "Mese";
$locale['EC010'] = "Anno";
$locale['EC011'] = "Cerca";
$locale['awec_week'] = "Settimana";
//
$locale['EC013'] = "Nuovi Eventi";
$locale['awec_user_birthday']	= array(
	'title'	=> '%ss compleanno',
	'body'	=> '%1 ha %2 anni.',
);
$locale['awec_user']		= 'Compleanno membro';
$locale['awec_link']		= "Collega all evento";

$locale['awec_add']		= 'Aggiungi';
$locale['awec_save_changes']	= 'Salva i cambiamenti';
$locale['awec_edit']		= 'Modifica';
$locale['awec_none']		= '[Nessuno]';
$locale['awec_name']		= 'Nome';
$locale['awec_or']		= 'o';
$locale['awec_export']		= 'Esporta';
$locale['awec_login_start']	= 'Inizio Login';
$locale['awec_login_end']	= 'Fine Login';
$locale['awec_status']		= 'Status';
$locale['awec_publish']		= 'Pubblica';

$locale['awec_today']		= 'Oggi';

$locale['awec_location']	= 'Posizione';

$locale['awec_calendar_view'] = array(
	'week'	=> 'Settimana',
	'month'	=> 'Mese',
	'year'	=> 'Anno',
	'year'	=> 'FIXME:Year',
);


// edit_event.php
$locale['EC100'] = "Nuovo Evento";
$locale['EC101'] = "Modifica Evento";
$locale['EC102'] = "vai a evento";
$locale['EC103'] = "Titolo";
$locale['awec_description'] = 'Descrizione';
$locale['awec_date']	= 'Data';
$locale['awec_beginn']	= 'Da';
$locale['awec_end']	= 'A';
$locale['awec_options'] = "Opzioni";
$locale['awec_repeat'] = "Ripeti";
$locale['EC108'] = "Evento personale";
$locale['EC109'] = "Consenti registrazione evento";
$locale['EC110'] = "Massime registrazioni (0 pari a infinito)";
$locale['EC110_1'] = "0 pari a infinito";
$locale['EC111'] = "Salva";
$locale['EC112'] = "Disattiva smileys";
$locale['EC113'] = array(
	0		=> "Evento aggiornato!",
	EC_ELOGIN	=> "Non consentita registrazione messaggi privati.",
	EC_EDB		=> "Errore durante aggiornamento database.",
	EC_ESTATUS	=> "Questo evento va esaminato da un amministratore sistema.",
	EC_EACCESS	=> "Nessun limite consentito per eventi privati.",
	EC_EIMG		=> "Upload immagine non valido.",
	'date'		=> "Data non valida",
	'end_date'	=> 'Ripeti fino: Data non valida',
);
$locale['EC114'] = "Impossibile registrare questo evento.";
$locale['EC115'] = array(
	1 => "Raggiunto massimo numero di registrazioni.",
	2 => "Valore non valido.",
	3 => "Non ho potuto aggiornare la registrazione.",
	4 => "Nessun ricevente specificato.",
);
$locale['EC116'] = "Accesso";
//$locale['EC117'] = "";
$locale['awec_mandatory'] = "* campi obbligatori";
$locale['awec_break']	= "** Il seguente testo %s, non comparira nei pannelli laterali. In questo modo si evida di avere un pannello intasato.";
$locale['EC119'] = "Prego compilare tutti i campi obbligatori (*)!";
$locale['awec_date_fmt']	= 'Giorno.Mese.Anno Ore:Minuti';
$locale['awec_time_fmt']	= 'Ore:Minuti';
$locale['EC121'] = "Immagine";
$locale['EC122'] = "Misc";
$locale['EC123'] = "Fine";
$locale['EC124'] = "Consente registrazioni solo in questo periodo di tempo.";
$locale['EC125'] = array(
	0 => "---",
	1 => "Annuale",
	2 => "Mensile",
	4 => "Settimanale",
	8 => 'Giornaliero',
	16	=> 'FIXME:Bi-weekly',
);
$locale['awec_private_saving']		= 'Eventi privati possono essere "pubblicati" subito.';
$locale['awec_endless_repeat']		= 'Ripetizione illimitata';
$locale['awec_end_repeat']		= 'Ripeti fino a';
$locale['awec_save_draft']		= 'Salva bozza';
$locale['awec_save_release']		= 'Salva e Sottometti';
$locale['awec_save_publish']		= 'Salva e Pubblica';
$locale['awec_cycle']			= 'Cicla';


// aw_ecal_panel.php
$locale['EC200'] = "Inserisci Nuovo Evento";
$locale['EC202'] = "Domani";
$locale['EC203'] = "Controllare nuovi eventi!.";
$locale['EC204'] = "I miei eventi";
$locale['EC205'] = "Compleanno(i)";
$locale['EC206'] = "La mia registrazione";
$locale['EC207'] = "[altri]";
$locale['EC208'] = "Giornoi successivoi";
$locale['EC209'] = array(
	'today'		=> 'Oggi',
	'tomorrow'	=> 'Domani',
	'others'	=> 'Altro...',
);


// view_event.php
$locale['EC300'] = "Evento";
$locale['EC301'] = $locale['EC113'][3];
$locale['EC302'] = "Attenzione! Utente sconosciuto.";
$locale['EC303'] = "Sconosciuto";
$locale['EC305'] = "Cancella";
$locale['EC306'] = "Pubblica";
$locale['EC307'] = "Deattivare";
//EC308
$locale['EC309'] = array(
	0 => "Non iscritto a questo evento.",
	1 => "Conferma.",
	2 => "Conferma preliminare.",
	3 => "Cancellato",
	4 => "Invitato",
);
$locale['EC310'] = array(
	1 => "Conferma sicura",
	2 => "Conferma preliminare",
	3 => "Cancellato",
);
$locale['EC311'] = "Stato attuale:";
$locale['EC312'] = "Commento";
$locale['EC313'] = "Invia E-Mail";
$locale['EC314'] = "Invia E-Mail a ognuno";
$locale['EC315'] = "Invia E-Mail a tutti";
$locale['EC316'] = "Invia";
$locale['EC317'] = "Sarebbe gradito del testo. Grazie!";
$locale['EC318'] = "Nessun indirizzo specificato. Prego modificare!";
$locale['awec_all']  = "Tutto";
$locale['EC320'] = "Invia E-Mail(s)!";
$locale['EC321'] = "Formato HTML";
$locale['EC322'] = "Invita";
$locale['EC323'] = "Usa CTRL-/SHIFT per selezionari piu utenti";
$locale['EC324'] = 'Manda PM';
$locale['awec_invite_title']	= 'Invito';
$locale['awec_invite_body']	= 'Sei stato invitato.';


// calendar.php
$locale['awec_calendar'] = "Calendario";
$locale['EC401'] = "Compleanni in questo mese";
$locale['EC402'] = "Vedi";
$locale['awec_month_view'] = array(
	'calendar'	=> 'Calendario',
	'list'		=> 'Lista',
	'clist'		=> 'CLista',
);


// browse.php
$locale['EC450'] = "Anno";
$locale['awec_show']  = "Mostra";


// new_events.php
$locale['EC500'] = "Nuovi Eventi";
$locale['EC501'] = "Nessun evento da controllare.";
$locale['EC502'] = array(
	1 => "Non ho potuto pubblicare evento, in quanto alterato. Prego controllare di nuovo!",
);


// search.php
$locale['EC550'] = "Cerca";
$locale['EC551'] = array(
	'AND'	=> "Tutte le parole",
	'OR'	=> "Almeno una parola",
	'-'	=> "Solo una parola",
);
$locale['EC552'] = "Eventi trovati.";
$locale['EC554'] = "La tua ricerca deve contenere almeno 3 caratteri";


// my_events.php
$locale['EC600'] = "I miei Eventi";
$locale['EC601'] = "Nessun evento ancora inserito.";
$locale['EC602'] = array(
	0	=> "Altri",
	1	=> "Privato",
);
$locale['awec_status_desc'] = array(
	AWEC_PUBLISHED	=> 'Pubblicato',
	AWEC_PENDING	=> 'In attesa di pubblicazione',
	AWEC_DRAFT	=> 'Bozza',
);
$locale['awec_status_longdesc'] = array(
	AWEC_PUBLISHED	=> 'Pubblicato',
	AWEC_PENDING	=> 'In attesa di pubblicazione',
	AWEC_DRAFT	=> 'Evento in modalita bozza.',
);


// admin.php
$locale['EC700'] = "Impostazioni";
$locale['EC701'] = "Amministra-gruppo";
$locale['EC702'] = "Controlla per nuovi eventi Amministra-gruppo";
$locale['EC703'] = "Inserisci eventi per";
$locale['EC704'] = "Mostra descrizione eventi quotidiani nel pannello laterale.";
$locale['awec705']	= 'Tratta i compleanni come eventi.';
$locale['EC706'] = "Compleanni";
$locale['EC711'] = "Formato data";
$locale['EC712'] = "Compleanni";
$locale['awec_birthdays'] = "Compleanni";
$locale['EC713'] = "Standard";
$locale['EC714'] = "Usato solo se non specificato dal tema.";
$locale['EC715'] = "Cancella Eventi";
$locale['EC716'] = "Cancella tutti gli eventi precedenti il numero di giorni specificato. Gli eventi ricorrenti non saranno cancellati!";
$locale['EC716_']	= 'FIXME:Repeated events will not be deleted!';
$locale['EC717'] = array(
	0	=> "Salvato",
	1	=> "Eventi vecchi cancellati",
);
$locale['awec_confirm_del']	= 'Gli eventi saranno cancellati permanentemente';
$locale['EC719'] = "%d - Giorno del mese, numerico (00..31)
%m - Mese, numerico (00..12)
%Y - Anno, numerico, quattro caratteri
%H - Ore
%i - Minuti
Per ulteriori informazioni sul formato data DATE_FORMAT: <a href='http://dev.mysql.com/doc/refman/4.1/en/date-and-time-functions.html#id3022503' target='_blank'>Cliccare</a>";
$locale['EC720'] = "Anteprima";
$locale['EC721'] = "Giorni";
$locale['EC722'] = 'Giorni successivi nel pannello laterale';
$locale['EC723'] = "Le settimane iniziano di Domenica";
$locale['EC724'] = "Pannello laterale";
$locale['EC725'] = "Supportato solo:";
$locale['EC726'] = 'Tempo';
$locale['awec_default_month_view']	= 'Modalit vista di default Mese';
$locale['awec_custom_css']		= 'Usa CSS personalizzato (vedi LEGGIMI)';
$locale['awec_alt_side_calendar']	= 'Usa calendario laterale alternativo';
$locale['awec_user_can_edit']		= 'Gli eventi esistenti possono essere modificati';
$locale['awec_show_week']		= 'Mostra la settimana';
$locale['awec_default_calendar_view']	= 'Vista di default del calendario';
$locale['awec_mysql_4']			= 'FIXME:You need MySQL 4.1.1 or higher to use this feature.';
$locale['awec_db_update']		= 'FIXME:Since this version Database Update is to be found under "<a href="%s">Admin-Area | Infusions</a>".';

// admin_cats.php
$locale['awec_cats']		= 'Categorie';
$locale['awec_cat']		= 'Categoria';

// admin/misc.php
$locale['EC750'] = "Varie";
$locale['awec_old_events']	= 'Eventi passati';

// include/db_update.php
$locale['EC800'] = "Aggiornamento disponibile";
$locale['EC801'] = "Sta per essere eseguita la seguente query SQL";
$locale['EC802'] = "Inizio aggiornamento...";
//
$locale['EC804'] = "Fatto - Procedi!";
$locale['EC805'] = "OK";
$locale['EC806'] = "Errore";
//
$locale['awec_pls_delete']	= 'Prego, cancellare questi file:';


// others
$locale['EC900'] = array(
	0 => "Dicembre",
	1 => "Gennaio",
	2 => "Febbraio",
	3 => "Marzo",
	4 => "Aprile",
	5 => "Maggio",
	6 => "Giugno",
	7 => "Luglio",
	8 => "Agosto",
	9 => "Settembre",
	10 => "Ottobre",
	11 => "Novembre",
	12 => "Dicembre",
);
$locale['EC901'] = array(
	0 => "Dom",
	1 => "Lun",
	2 => "Mar",
	3 => "Mer",
	4 => "Gio",
	5 => "Ven",
	6 => "Sab",
	7 => "Dom",
);
?>
