<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   Different translators. Let me know if you want to be listed here.     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
$locale['EC000'] = "awEventCal";
$locale['EC001'] = "Activiteiten";
$locale['EC002'] = "Bericht";
$locale['EC003'] = "Waarschuwing";
$locale['awec_no_events'] = 'Geen activiteiten.';
$locale['EC005'] = "Over...";
$locale['EC006'] = "Bent u zeker van het verwijderen?";
$locale['EC007'] = "Mijn";
$locale['awec_logins'] = "Aanmeldingen";
$locale['EC009'] = "Maand";
$locale['EC010'] = "Jaar";
$locale['EC011'] = "Zoeken";
$locale['awec_week'] = 'Week';
//
$locale['EC013'] = "Nieuwe activiteiten";
$locale['awec_user_birthday']	= array(
	'title'	=> '%ss verjaardag',
	'body'	=> '%1 is %2 jaar oud.',
);
$locale['awec_user'] = 'verjaardag lid';
$locale['awec_link'] = 'Link naar activiteit';

$locale['awec_add'] = 'Toevoegen';
$locale['awec_save_changes'] = 'Wijzigingen opslaan';
$locale['awec_edit'] = 'Wijzigen';
$locale['awec_none'] = '[Geen]';
$locale['awec_name'] = 'Naam';
$locale['awec_or'] = 'of';
$locale['awec_export'] = 'Exporteren';
$locale['awec_login_start'] = 'Inloggen Begin';
$locale['awec_login_end'] = 'Inloggen Eind';
$locale['awec_status'] = 'Status';
$locale['awec_publish'] = 'Publiceren';

$locale['awec_today'] = 'Vandaag';

$locale['awec_location'] = 'Lokatie';

$locale['awec_calendar_view'] = array(
	'day'	=> 'FIXME:Day',
	'week'	=> 'Week',
	'month'	=> 'Maand',
	'year'	=> 'Jaar',
);


// edit_event.php
$locale['EC100'] = "Nieuwe activiteit";
$locale['EC101'] = "Activiteit wijzigen";
$locale['EC102'] = "Naar activiteit";
$locale['EC103'] = "Titel";
$locale['awec_description'] = 'Omschrijving';
$locale['awec_date']	= 'Datum';
$locale['awec_beginn']	= 'Van';
$locale['awec_end']	= 'Tot';
$locale['awec_options'] = "Opties";
$locale['awec_repeat'] = "Herhalen";
$locale['EC108'] = "Besloten activiteit";
$locale['EC109'] = "Aanmeldingen toestaan";
$locale['EC110'] = "Maximum aantal aanmeldingen (0 = oneindig)";
$locale['EC110_1'] = "0 voor oneindig";
$locale['EC111'] = "Opslaan";
$locale['EC112'] = "Smileys uitschakelen";
$locale['EC113'] = array(
	0		=> "Activeit succesvol opgeslagen!",
	EC_ELOGIN	=> "Geen aanmeldingen voor besloten activiteiten toegestaan.",
	EC_EDB		=> "Fout tijdens bijwerken van de database.",
	EC_ESTATUS	=> "Deze activiteit dient door een beheerder worden goedgekeurd.",
	EC_EACCESS	=> "Geen beperkingen voor besloten activiteiten toegestaan.",
	EC_EIMG		=> "Ongeldige afbeelding upload.",
	'date'		=> "Ongeldige datum",
	'end_date'	=> 'Herhalen tot: Ongeldige datum',
);
$locale['EC114'] = "Aanmelding voor deze activiteit is niet mogelijk.";
$locale['EC115'] = array(
	1 => "Maximaal aantal aanmeldingen bereikt.",
	2 => "Ongeldige statuswaarde.",
	3 => "Aanmeldingsstatus kon niet worden opgeslagen.",
	4 => "Geen ontvanger opgegeven.",
);
$locale['EC116'] = "Toegang";
//$locale['EC117'] = "";
$locale['awec_mandatory'] = "(verplicht)";
$locale['awec_break'] = "** De tekst achter %s, wordt niet getoond in het zijpaneel. Op deze manier voorkomt u een overvol zijpaneel.";
$locale['EC119'] = "Vult u a.u.b. alle verplichte velden in (*)!";
$locale['awec_date_fmt']	= 'Dag.Maand.Jaar Uur:Minuten';
$locale['awec_time_fmt']	= 'Uren:Minuten';
$locale['EC121'] = "Afbeelding";
$locale['EC122'] = "Divers";
$locale['EC123'] = "Eind";
$locale['EC124'] = "Sta alleen aanmeldingen indeze periode toe.";
$locale['EC125'] = array(
	0 => "[Geen]",
	1 => "Jaarlijks",
	2 => "Maandelijks",
	4 => "Wekelijks",
	8 => 'Dagelijks',
	16 => 'Tweewekelijks',
);
$locale['awec_private_saving']		= 'Besloten activiteiten kunnen direct worden gepubliceerd.';
$locale['awec_endless_repeat']		= 'Eindeloos herhalen';
$locale['awec_end_repeat']		= 'Herhalen tot';
$locale['awec_save_draft']		= 'Opslaan als concept';
$locale['awec_save_release']		= 'Opslaan en inzenden';
$locale['awec_save_publish']		= 'Opslaan en publiceren';
$locale['awec_cycle']			= 'Cyclus';


// aw_ecal_panel.php
$locale['EC200'] = "Nieuwe activiteit";
$locale['EC202'] = "Morgen";
$locale['EC203'] = "Nieuwe activiteiten dienen te worden gecontroleerd!.";
$locale['EC204'] = "Mijn activiteiten";
$locale['EC205'] = "Verjaardag(en)";
$locale['EC206'] = "Mijn aanmeldingen";
$locale['EC207'] = "[meer]";
$locale['EC208'] = 'Komende %s dagen';
$locale['EC209'] = array(
	'today'		=> 'Vandaag',
	'tomorrow'	=> 'Morgen',
	'others'	=> 'Meer...',
);


// view_evenement.php
$locale['EC300'] = "Activiteit";
$locale['EC301'] = $locale['EC113'][3];
$locale['EC302'] = "Waarschuwing! Gebruiker niet in database.";
$locale['EC303'] = "Onbekend";
$locale['EC305'] = "Verwijderen";
$locale['EC306'] = "Publiceren";
$locale['EC307'] = "Deactiveren";
//EC308
$locale['EC309'] = array(
	0 => "Niet aangemeldt voor deze activiteit.",
	1 => "Definitief accoord.",
	2 => "Voorlopig accoord.",
	3 => "Afgezegd",
	4 => "Uitgenodigd",
);
$locale['EC310'] = array(
	1 => "Definitief accoord gaan",
	2 => "Voorlopig accoord gaan",
	3 => "Afzeggen",
);
$locale['EC311'] = "Huidige status:";
$locale['EC312'] = "Reactie";
$locale['EC313'] = "Stuur email";
$locale['EC314'] = "Stuur een email naar elke";
$locale['EC315'] = "Stuur email naar iedereen";
$locale['EC316'] = "Versturen";
$locale['EC317'] = "Geeft u a.u.b. een beschrijving. Dank u!";
$locale['EC318'] = "Geeft u a.u.b. een of meerdere geadresseerden op. Dank u!";
$locale['awec_all'] = "Alle";
$locale['EC320'] = "Email(s) zijn verstuurd!";
$locale['EC321'] = "HTML-Formaat";
$locale['EC322'] = "Uitnodigen";
$locale['EC323'] = "Gebruik CTRL-/SHIFT om meerdere leden te selecteren";
$locale['EC324'] = 'PB sturen';
$locale['awec_invite_title']	= 'Uitnodiging';
$locale['awec_invite_body']	= 'U bent uitgenodigd.';


// calendar.php
$locale['awec_calendar'] = "Agenda";
$locale['EC401'] = "Verjaardagen in deze maand";
$locale['EC402'] = "Bekijken";
$locale['awec_month_view'] = array(
	'calendar'	=> 'Kalender',
	'list'		=> 'Lijst',
	'clist'		=> 'CLijst',
);


// browse.php
$locale['EC450'] = "Jaar";
$locale['awec_show'] = "Tonen";


// new_evenements.php
$locale['EC500'] = "Nieuwe activiteiten";
$locale['EC501'] = "Geen nieuwe activiteiten om te bekijken.";
$locale['EC502'] = array(
	1 => "De activiteit kon niet worden gepubliceerd om dat deze intussen is gewijzigd. Controler deze nogmaals!",
);


// search.php
$locale['EC550'] = "Zoek naar";
$locale['EC551'] = array(
	'AND'	=> "Alle termen",
	'OR'	=> "Enige van de termen",
	'-'	=> "Exacte term",
);
$locale['EC552'] = "activiteiten gevonden.";
$locale['EC554'] = "Uw zoekterm dient tenminste drie tekens lang te zijn";


// my_evenements.php
$locale['EC600'] = "Mijn acticiteiten";
$locale['EC601'] = "Er zijn nog geen activiteiten toegevoegd.";
$locale['EC602'] = array(
	0	=> "Anderen",
	1	=> "Besloten",
);
$locale['awec_status_desc'] = array(
	AWEC_PUBLISHED	=> 'Gepubliceerd',
	AWEC_PENDING	=> 'In afwachting van publicatie',
	AWEC_DRAFT	=> 'Concept',
);
$locale['awec_status_longdesc'] = array(
	AWEC_PUBLISHED	=> 'Gepubliceerd',
	AWEC_PENDING	=> 'In afwachting van publicatie',
	AWEC_DRAFT	=> 'Activiteit is in concept.',
);


// admin.php
$locale['EC700'] = "Instellingen";
$locale['EC701'] = "Beheerdersgroep";
$locale['EC702'] = "Nieuwe activiteiten door beheerdersgroep laten controleren";
$locale['EC703'] = "Activiteiten toevoegen door";
$locale['EC704'] = "Toon beschrijving van de activiteiten van vandaag in het zijpaneel.";
$locale['awec705']	= 'Behandel verjaardagen als activiteiten.';
$locale['EC706'] = "Toon verjaardagen aan";
$locale['EC711'] = "Datum-tijdformaat";
$locale['EC712'] = "Verjaardagen";
$locale['EC713'] = "Standaard";
$locale['EC714'] = "Alleen gebruikt wanneer niet door het thema opgegeven.";
$locale['EC715'] = "Activiteiten verwijderen";
$locale['EC716'] = "Verwijder alle activiteiten ouder dan het opgegeven aantal dagen.";
$locale['EC716_'] = "Herhaalde activiteiten worden niet verwijderd!";
$locale['EC716_']	= 'Terugkerende activiteiten worden niet verwijderd!';
$locale['EC717'] = array(
	0	=> "Opgeslagen",
	1	=> "Voorbije activiteiten verwijderd!",
);
$locale['awec_confirm_del'] = 'Activiteiten worden verwijderd en kunnn niet worden hersteld';
$locale['EC719'] = "%d - dag van de maand, numeriek (00..31)
%m - maand, numeriek (00..12)
%Y - jaar, numeriek, vier getallen
%H - uren
%i - minuten
Meer informatie over het formaat van de functie DATE_FORMAT: <a href='http://dev.mysql.com/doc/refman/4.1/en/date-and-time-functions.html#id3022503' target='_blank'>Zie hier</a>";
$locale['EC720'] = "Bekijken";	
$locale['EC721'] = "Dagen";
$locale['EC722'] = "Komende dagen in zijpaneel";
$locale['EC723'] = "Week start op zondag";
$locale['EC724'] = "Zijpaneel";
$locale['EC725'] = "Alleen ondersteund door:";
$locale['EC726'] = 'Tijd';
$locale['awec_default_month_view']	= 'Standaard maandoverzicht';
$locale['awec_custom_css']		= 'Gebruik eigen CSS (zie README)';
$locale['awec_alt_side_calendar']	= 'Gebuik alternatieve Zijde-kalendar';
$locale['awec_user_can_edit']		= 'Bestaande activiteiten kunnen worden gewijzigd';
$locale['awec_show_week']		= 'Toon week';
$locale['awec_default_calendar_view']	= 'Standaard kalenderbeeld';
$locale['awec_mysql_4']			= 'U heeft MySQL 4.1.1 of hoger nodig om deze functie te gebruiken.';
$locale['awec_db_update']	= 'Vanaf deze versie vind je de Database Upgrade bij "<a href="%s">Beheerder Paneel | Infusions</a>".';

// admin_cats.php
$locale['awec_cats']		= 'Categorien';
$locale['awec_cat']		= 'Categorie';

// admin/misc.php
$locale['EC750'] = "Divers";
$locale['awec_old_events']	= 'Voorbije activiteiten';

// include/db_update.php
$locale['EC800'] = "Update beschikbaar";
$locale['EC801'] = "De volgende SQL-statements zullen worden uitgevoerd";
$locale['EC802'] = "Update starten...";
//
$locale['EC804'] = "Klaar - Ga verder!";
$locale['EC805'] = "OK";
$locale['EC806'] = "Fout";
//
$locale['awec_pls_delete']	= 'Verwijdert u a.u.b. deze bestanden:';


// others
$locale['EC900'] = array(
	0 => "--",
	1 => "Januari",
	2 => "Februari",
	3 => "Maart",
	4 => "April",
	5 => "Mei",
	6 => "Juni",
	7 => "Juli",
	8 => "Augustus",
	9 => "September",
	10 => "Oktober",
	11 => "November",
	12 => "December",
);
$locale['EC901'] = array(
	0 => "Zo",
	1 => "Ma",
	2 => "Di",
	3 => "Wo",
	4 => "Do",
	5 => "Vr",
	6 => "Za",
	7 => "Zo",
);
?>
