<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
$locale['EC000'] = "awEventCal";
$locale['EC001'] = "Kalendarz";
$locale['EC002'] = "Notatka";
$locale['EC003'] = "Ostrzeżenie";
$locale['awec_no_events']	= 'Brak wydarzeń.';
$locale['EC005'] = "O...";
$locale['EC006'] = "Na pewno skasować?";
$locale['EC007'] = "Moje";
$locale['awec_logins'] = "Rejestracje";
$locale['EC009'] = "Miesiąc";
$locale['EC010'] = "Rok";
$locale['EC011'] = "Szukaj";
$locale['awec_week']	= 'Tydzień';
//
$locale['EC013'] = "Nowe wydarzenia";
$locale['awec_user_birthday']	= array(
	'title'	=> '%ss urodziny',
	'body'	=> '%1 ma %2 lat.',
);
$locale['awec_user']		= 'Urodziny użytkownika';
$locale['awec_link']		= 'Link do wydarzenia';

$locale['awec_add']		= 'Dodaj';
$locale['awec_save_changes']	= 'Zapisz zmiany';
$locale['awec_edit']		= 'Edytuj';
$locale['awec_none']		= '[---]';
$locale['awec_name']		= 'Nazwa';
$locale['awec_or']		= 'lub';
$locale['awec_export']		= 'Eksport';
$locale['awec_login_start']	= 'Logowanie rozpoczęte';
$locale['awec_login_end']	= 'Logowanie zakończone';
$locale['awec_status']		= 'Status';
$locale['awec_publish']		= 'Publiczne';

$locale['awec_today']		= 'Dziś';

$locale['awec_location']	= 'Lokalizacja';

$locale['awec_calendar_view'] = array(
	'day'	=> 'FIXME:Day',
	'week'	=> 'Tydzień',
	'month'	=> 'Miesiąc',
	'year'	=> 'Rok',
);


// edit_event.php
$locale['EC100'] = "Nowe wydarzenie";
$locale['EC101'] = "Edytuj wydarzenie";
$locale['EC102'] = "Do wydarzeń";
$locale['EC103'] = "Tytuł";
$locale['awec_description'] = 'Opis';
$locale['awec_date']	= 'Data';
$locale['awec_beginn']	= 'Od';
$locale['awec_end']	= 'Do';
$locale['awec_options'] = "Opcje";
$locale['awec_repeat'] = "Powtórz";
$locale['EC108'] = "Prywatne wydarzenia";
$locale['EC109'] = "Rejestracje do wydarzeń dozwolone";
$locale['EC110'] = "Maksymalnie rejestracji";
$locale['EC110_1'] = "0 dla nieskończonej";
$locale['EC111'] = "Zapisz";
$locale['EC112'] = "Wyłącz uśmieszki";
$locale['EC113'] = array(
	0		=> "Wydarzenie zaktualizowano z sukcesem.<br>Proszę sprawdzić dane dla pewności.",
	EC_ELOGIN	=> "Dla prywatnych wydarzeń nie dopuszczono rejestracji.",
	EC_EDB		=> "Błąd przy aktualizacji bazy danych.",
	EC_ESTATUS	=> "To wydarzenie musi być upublicznione przez Administracje.",
	EC_EACCESS	=> "Dla prywatnych wydarzeń uprawnienie dostępu jest ograniczone.",
	EC_EIMG		=> "Błąd przy załadowaniu obrazka.",
	'date'		=> "Zła data",
	'end_date'	=> 'Zła data',
);
$locale['EC114'] = "Rejestracja do tego wydarzenie jest niemożliwa.";
$locale['EC115'] = array(
	1 => "Maksymalna liczba możliwych rejestracji osiągnięta.",
	2 => "Niewłaściwa wartość statusu.",
	3 => "Nie mogłem zaktualizować statusu rejestracji.",
	4 => "Nie wprowadzono adresata.",
);
$locale['EC116'] = "Dostęp";
//$locale['EC117'] = "";
$locale['awec_mandatory']	= '* obowiązkowe pola';
$locale['awec_break']		= '** Tekst po %s, nie\' ukaże się w bocznym panelu. W ten sposób unikniemy jego przepełnienia.';
$locale['EC119'] = "Wypełnij wszystkie wymagane pola (*)!";
$locale['awec_date_fmt']	= 'Dzień.Miesiąc.Rok';
$locale['awec_time_fmt']	= 'Godzin:Minut';
$locale['EC121'] = "Obrazek";
$locale['EC122'] = "Dodatki";
$locale['EC123'] = "Koniec";
$locale['EC124'] = "Rejestracje dozwolone tylko w tym czasie";
$locale['EC125'] = array(
	0	=> '[---]',
	1	=> 'Rocznie',
	2	=> 'Miesięcznie',
	4	=> 'Tygodniowo',
	8	=> 'Dziennie',
	16	=> 'FIXME:Bi-weekly',
);
$locale['awec_private_saving']		= 'Prywatne wydarzenie mogą być "upublicznione" natychmiastowo.';
$locale['awec_endless_repeat']		= 'zakończ powtarzanie';
$locale['awec_end_repeat']		= 'Powtórz do';
$locale['awec_save_draft']		= 'Zapisz jako projekt';
$locale['awec_save_release']		= 'Zapisz i potwierdź';
$locale['awec_save_publish']		= 'Zapisz i Publikuj';
$locale['awec_cycle']			= 'Cyklicznie';
$locale['awec_hide_logins']      = 'Ukryj loginy';
$locale['awec_all_hide_logins']      = 'Ukryj wszystkie loginy';


// aw_ecal_panel.php
$locale['EC200'] = "Wprowadź nowe wydarzenie";
$locale['EC202'] = "Jutro";
$locale['EC203'] = "Nowe wydarzenia muszą być sprawdzone.";
$locale['EC204'] = "Moje wydarzenia";
$locale['EC205'] = "Urodziny";
$locale['EC206'] = "Moje rejestracje";
$locale['EC207'] = "[więcej]";
$locale['EC208'] = "Nastepnych %s dni";
$locale['EC209'] = array(
	'today'		=> 'Dzisiaj',
	'tomorrow'	=> 'Jutro',
	'others'	=> 'Więcej...',
);


// view_event.php
$locale['EC300'] = "Wydarzenie";
$locale['EC301'] = $locale['EC113'][3];
$locale['EC302'] = "Ostrzeżenie. Użytkownik nie figuruje w bazie danych";
$locale['EC303'] = "Nieznany";
$locale['EC305'] = "Skasuj";
$locale['EC306'] = "Publikuj";
$locale['EC307'] = "Deaktywuj";
//EC308
$locale['EC309'] = array(
	0 => "Nie informuj mnie o tym wydarzeniu.",
	1 => "Zawsze informuj mnie o tym wydarzeniu.",
	2 => "Czasowo informuj mnie o tym wydarzeniu.",
	3 => "Anuluj",
	4 => "Zaproś",
);
$locale['EC310'] = array(
	1 => "Subskypcja",
	2 => "Czasowa subskypcja",
	3 => "Anulowano",
);
$locale['EC311'] = "Aktualny status";
$locale['EC312'] = "Komentarz";
$locale['EC313'] = "Wyślij E-Mail ";
$locale['EC314'] = "Wyślij email każdorazowo";
$locale['EC315'] = "Wyślij email do wszystkich";
$locale['EC316'] = "Wyślij";
$locale['EC317'] = "Prześlij jakiś tekst przez email. Dzięki!";
$locale['EC318'] = "Nie wprowadzono Adresata. Wprowadź!";
$locale['awec_all'] = "Wszystkie";
$locale['EC320'] = "E-Mail(e) wysłano!";
$locale['EC321'] = "HTML-Format";
$locale['EC322'] = "Zapros";
$locale['EC323'] = "Uzyj CTRL-/SHIFT by wybrac wielu";
$locale['EC324'] = 'Wyślij PW';
$locale['awec_invite_title']	= 'Zaproszenie';
$locale['awec_invite_body']	= 'Zostałeś zaproszony.';


// calendar.php
$locale['awec_calendar'] = "Kalendarz";
$locale['EC401'] = "Urodziny w tym miesiącu";
$locale['EC402'] = "Widok";
$locale['awec_month_view'] = array(
	'calendar'	=> 'Kalendarz',
	'list'		=> 'Lista',
	'clist'		=> 'FIXME:CList',
);


// browse.php
$locale['EC450'] = "Rok";
$locale['awec_show'] = "Pokaż";
$locale['awec_go']	= 'Zapisz';


// new_events.php
$locale['EC500'] = "Nowe wydarzenia";
$locale['EC501'] = "Brak wydarzeń do upublicznienia.";
$locale['EC502'] = array(
	1 => "Wydarzenie nie może być upublicznione, ponieważ zostało w międzyczasie zmienione. Proszę sprawdzić!",
);


// search.php
$locale['EC550'] = "Szukaj po";
$locale['EC551'] = array(
	'AND'	=> "I",
	'OR'	=> "LUB",
	'-'	=> "ŻADNE",
);
$locale['EC552'] = "Znaleziono wydarzenie.";
$locale['EC554'] = "Minimum 3 znaki";


// my_events.php
$locale['EC600'] = "Moje wydarzenia";
$locale['EC601'] = "Nie wprowadziłeś jeszcze żadnych wydarzeń.";
$locale['EC602'] = array(
	0	=> "Inne",
	1	=> "Prywatne",
);
$locale['awec_status_desc'] = array(
	AWEC_PUBLISHED	=> 'Upubliczniono',
	AWEC_PENDING	=> 'Oczekujšcych na opublikowanie',
	AWEC_DRAFT	=> 'Projekty',
);
$locale['awec_status_longdesc'] = array(
	AWEC_PUBLISHED	=> 'Upubliczniono',
	AWEC_PENDING	=> 'Oczekujšcych na opublikowanie',
	AWEC_DRAFT	=> 'Zdarzeń w trybie projektowania.',
);


// admin.php
$locale['EC700'] = "Ustawienia";
$locale['EC701'] = "Grupa administracyjna";
$locale['EC702'] = "Nowe wydarzenia sprawdzane przez grupę administracyjną";
$locale['EC703'] = "Wstawione przez";
$locale['EC704'] = "Pokaż wydarzenia dzisiejszego dnia w panelu strony.";
$locale['awec705']	= 'Pokazuj urodziny użytkowników jako wydarzenia.';
$locale['EC706'] = "Pokaż urodziny do";
$locale['EC711'] = "Format Daty";
$locale['EC712'] = "Urodziny";
$locale['awec_birthdays']	= 'FIXME:Birthdays';
$locale['EC713'] = "Opis funkcji: Format daty";
$locale['EC714'] = "Będzie używany, kiedy nie wprowadzono go w Themie strony.";
$locale['EC715'] = "Skasuj wydarzenie";
$locale['EC716'] = "Skasuj wydarzenia starsze niz podane dni. Zapisane wydarzenia do powtórek nie zostaną usunięte!";
$locale['EC716_']	= 'Powtórzone już wydarzenia nie będą usunięte!';
$locale['EC717'] = array(
	0	=> "Zapisano",
	1	=> "Stare wydarzenia usunieto!",
);
$locale['awec_confirm_del']	= 'Wydarzenia będą usunięte';
$locale['EC719'] = "%d - Dzien miesiaca, numerycznie(00..31)
%m - Miesiac, numerycznie (00..12)
%Y - Rok, numerycznie, cztery cyfry
%H - godziny
%i - minuty
Więcej informacji o formacie funkcji DATE_FORMAT: <a href='http://dev.mysql.com/doc/refman/4.1/en/date-and-time-functions.html#id3022503' target='_blank'>Tutaj</a>";
$locale['EC720'] = "Podgląd";
$locale['EC721'] = "Dni";
$locale['EC722'] = "Nastepnych dni w panelu";
$locale['EC723'] = "Zacznij tydzien od niedzieli";
$locale['EC724'] = "Panel boczny";
$locale['EC725'] = "Supportowane tylko:";
$locale['EC726'] = 'Czas';
$locale['awec_default_month_view']	= 'Domyślny widok miesiąca';
$locale['awec_custom_css']		= 'Użycie wybranego CSS (patrz README)';
$locale['awec_alt_side_calendar']	= 'Użycie alternatywnego bocznego kalendarza';
$locale['awec_user_can_edit']		= 'Istniejące wydarzenia mogą być edytowane';
$locale['awec_show_week']		= 'Pokaż tydzień';
$locale['awec_default_calendar_view']	= 'Domyślny widok kalendarza';
$locale['awec_mysql_4']			= 'FIXME:You need MySQL 4.1.1 or higher to use this feature.';
$locale['awec_db_update']		= 'FIXME:Since version 0.8.3 database updates are to be found under "<a href="%s">Admin-Area | Infusions</a>".';

// admin_cats.php
$locale['awec_cats']		= 'Kategorie';
$locale['awec_cat']		= 'Kategoria';

// admin/misc.php
$locale['EC750']		= "Inne";
$locale['awec_old_events']	= 'Minione wydarzenia';

// include/db_update.php
$locale['EC800'] = "Możliwa aktualizacja";
$locale['EC801'] = "Zostanie wykonane nastepujace zapytanie";
$locale['EC802'] = "Rozpocznij aktualizację...";
//
$locale['EC804'] = "Koniec - nastepny krok";
$locale['EC805'] = "OK";
$locale['EC806'] = "Błąd";
//
$locale['awec_pls_delete']	= 'Proszę skasować te pliki:';


// others
$locale['EC900'] = array(
	0 => '--',
	1 => 'Styczeń',
	2 => 'Luty',
	3 => 'Marzec',
	4 => 'Kwiecień',
	5 => 'Maj',
	6 => 'Czerwiec',
	7 => 'Lipiec',
	8 => 'Sierpień',
	9 => 'Wrzesień',
	10 => 'Październik',
	11 => 'Listopad',
	12 => 'Grudzień',
);
$locale['EC901'] = array(
	0 => 'Ni',
	1 => 'Po',
	2 => 'Wt',
	3 => 'Śr',
	4 => 'Cz',
	5 => 'Pi',
	6 => 'So',
	7 => 'Ni',
);
?>
